İçeriğe geç

Veo3.1 Reference to Video

Entegre et

Model kimliği veo3.1/reference-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/veo3.1/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $3,20 3.200 API kredisi Bu sayfada çalıştır

API anahtarı al
Google Referanstan Videoya Yerel ses4K çıktıReferans girdileri4k değerine kadar

Birkaç referans görüntüsüyle konuyu tutarlı koruyan, isteğe bağlı sesli Veo 3.1 videosu

Google · Video

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli 88 / 20000

Üretilecek istenen videonun metin açıklaması.

•gerekli image_urls
Dosyayı bırakın veya

Konunun görünümünü tutarlı tutmak için kullanılan referans görsel URL'leri.

aspect_ratio varsayılan 16:9

Çıktı videosunun en-boy oranı.

resolution varsayılan 720p

Çıktı videosu için kullanılan çözünürlük.

varsayılan 8s

Çıktı videosunun uzunluğu.

Gelişmiş safety_tolerance · auto_fix
safety_tolerance varsayılan 4

İçerik denetimi toleransını en az kısıtlayıcı seviye olan 6 ile çoğu içeriği engelleyen en katı seviye olan 1 arasında ayarlar.

POST /run/veo3.1/reference-to-video?wait=20 fiyat → $3,20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/veo3.1/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Veo3.1 Reference to Video hakkında

`prompt` ve `image_urls` içindeki referans görüntüleri listesinden video oluşturur; böylece konunun görünümü tutarlı kalır. En-boy oranı 16:9 veya 9:16, çözünürlük 720p, 1080p veya 4k'dır. Süre varsayılan olarak 8s'dir ve ses üretimi varsayılan olarak açıktır.

Parametreler

Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
≤ 20.000 karakter
Üretilecek istenen videonun metin açıklaması.
aspect_ratioisteğe bağlı
Türenum
Varsayılan16:9
16:99:16
Çıktı videosunun en-boy oranı.
durationisteğe bağlı
Türstring
Varsayılan8s
Çıktı videosunun uzunluğu.
resolutionisteğe bağlı
Türenum
Varsayılan720p
720p1080p4k
Çıktı videosu için kullanılan çözünürlük.
generate_audioisteğe bağlı
Türboolean
Varsayılantrue
Videoya üretilen sesin dahil edilip edilmeyeceğini kontrol eder.
auto_fixisteğe bağlı
Türboolean
Varsayılanfalse
İçerik politikası denetimlerindeki veya diğer doğrulamalardaki hataları çözmeye çalışmak için istemlerin otomatik olarak yeniden yazılması.
safety_toleranceisteğe bağlı
Türenum
Varsayılan4
123456
İçerik denetimi toleransını en az kısıtlayıcı seviye olan 6 ile çoğu içeriği engelleyen en katı seviye olan 1 arasında ayarlar.
image_urlsgerekli images
Türurl[] · image
Konunun görünümünü tutarlı tutmak için kullanılan referans görsel URL'leri.
gerekli Kanonik ad, bu ad da kabul edilir

Dosya parametreleri herkese açık bir https:// URL'si, 10 MB'a kadar bir data: URI'si veya yüklenen bir dosyanın file_url değerini kabul eder. Dosyalar

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "veo3.1/reference-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3200,
    "usd": "3.20",
    "charged": 3200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size}Model tarafından üretilen video.

Daha fazla model: Referanstan Videoya

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/veo3.1/reference-to-video.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt